package com.unitesk.requality.eclipse.handlers;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.eclipse.ui.cnf.RequalityCNF;

public class CopyHandler extends AbstractHandler {

    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
        TreeNode node = RequalityCNF.getSelectedNode();
        CopyPasteHelper.getInstance().setNode(node);
        return null;
    }
    
    @Override
	public boolean isEnabled() {
		TreeNode node = RequalityCNF.getSelectedNode();
		if (node == null) {
			return false;
		}
		if (!node.getType().equals("Requirement")
				&& !node.getType().equals("TestPurpose")) {
			return false;
		}
		return true;
	}
}